package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class DistintaFlussiInput.
 * @see sicura.entities.DistintaFlussiInput
 * @author Hibernate Tools
 */
@Stateless
public class DistintaFlussiInputHome {

	private static final Log log = LogFactory.getLog(DistintaFlussiInputHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(DistintaFlussiInput transientInstance) {
		log.debug("persisting DistintaFlussiInput instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(DistintaFlussiInput persistentInstance) {
		log.debug("removing DistintaFlussiInput instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public DistintaFlussiInput merge(DistintaFlussiInput detachedInstance) {
		log.debug("merging DistintaFlussiInput instance");
		try {
			DistintaFlussiInput result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public DistintaFlussiInput findById(Integer id) {
		log.debug("getting DistintaFlussiInput instance with id: " + id);
		try {
			DistintaFlussiInput instance = entityManager.find(DistintaFlussiInput.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
